Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale
Class LocaleConvertUtils

    java.lang.Object
      |
      +--org.apache.commons.beanutils.locale.LocaleConvertUtils

public class LocaleConvertUtils
extends java.lang.Object

Utility methods for converting locale-sensitive String scalar values to objects of the specified Class, String arrays to arrays of the specified Class and object to locale-sensitive String scalar value.

The implementations for these method are provided by `LocaleConvertUtilsBean`. These static utility method use the default instance. More sophisticated can be provided by using a `LocaleConvertUtilsBean` instance.

Author:
  Yauheny Mikulski

Constructor Summary
`LocaleConvertUtils()`

Method Summary
`static java.lang.String` | `convert(java.lang.Object value)` Convert the specified locale-sensitive value into a String.
`static java.lang.String` | `convert(java.lang.Object value, java.util.Locale locale, java.lang.String pattern)` Convert the specified locale-sensitive value into a String using the paticular convertion pattern.
`static java.lang.String` | `convert(java.lang.Object value, java.lang.String pattern)` Convert the specified locale-sensitive value into a String using the conversion pattern.
`static java.lang.Object` | `convert(java.lang.String[] values, java.lang.Class clazz)` Convert an array of specified values to an array of objects of the specified class (if possible).
`static java.lang.Object` | `convert(java.lang.String[] values, java.lang.Class clazz, java.util.Locale locale, java.lang.String pattern)` Convert an array of specified values to an array of objects of the specified class (if possible) using the convertion pattern.
`static java.lang.Object` | `convert(java.lang.String[] values, java.lang.Class clazz, java.lang.String pattern)` Convert an array of specified values to an array of objects of the specified class (if possible) using the convertion pattern.
`static java.lang.Object` | `convert(java.lang.String value, java.lang.Class clazz)` Convert the specified value to an object of the specified class (if possible).
`static java.lang.Object` | `convert(java.lang.String value, java.lang.Class clazz, java.util.Locale locale, java.lang.String pattern)` Convert the specified value to an object of the specified class (if possible) using the convertion pattern.
`static java.lang.Object` | `convert(java.lang.String value, java.lang.Class clazz, java.lang.String pattern)` Convert the specified value to an object of the specified class (if possible) using the convertion pattern.
`protected static org.apache.commons.collections.FastHashMap` | `create(java.util.Locale locale)` Deprecated. This method will be modified to return a Map in the next release.
`static void` | `deregister()` Remove any registered `LocaleConverter`.
`static void` | `deregister(java.lang.Class clazz, java.util.Locale locale)` Remove any registered `LocaleConverter` for the specified locale and Class.
`static void` | `deregister(java.util.Locale locale)` Remove any registered `LocaleConverter` for the specified locale.
`static boolean` | `getApplyLocalized()` Gets applyLocalized.
`static java.util.Locale` | `getDefaultLocale()` Gets the `Locale` which will be used when no `Locale` is passed to a method.
`static LocaleConverter` | `lookup(java.lang.Class clazz, java.util.Locale locale)` Look up and return any registered `LocaleConverter` for the specified destination class and locale; if there is no registered Converter, return `null`.
`protected static org.apache.commons.collections.FastHashMap` | `lookup(java.util.Locale locale)` Deprecated. This method will be modified to return a Map in the next release.
`static void` | `register(LocaleConverter converter, java.lang.Class clazz, java.util.Locale locale)` Register a custom `LocaleConverter` for the specified destination `Class`, replacing any previously registered converter.
`static void` | `setApplyLocalized(boolean newApplyLocalized)` Sets applyLocalized.
`static void` | `setDefaultLocale(java.util.Locale locale)` Sets the `Locale` which will be used when no `Locale` is passed to a method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleConvertUtils

    public LocaleConvertUtils()

Method Detail

### getDefaultLocale

    public static java.util.Locale getDefaultLocale()

  Gets the `Locale` which will be used when no `Locale` is passed to a method.

  For more details see `LocaleConvertUtilsBean`

  Returns:
    the default locale
  See Also:
    `LocaleConvertUtilsBean.getDefaultLocale()`

### setDefaultLocale

    public static void setDefaultLocale(java.util.Locale locale)

  Sets the `Locale` which will be used when no `Locale` is passed to a method.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `locale` - the default locale
  See Also:
    `LocaleConvertUtilsBean.setDefaultLocale(Locale)`

### getApplyLocalized

    public static boolean getApplyLocalized()

  Gets applyLocalized.

  For more details see `LocaleConvertUtilsBean`

  Returns:
    `true` if pattern is localized, otherwise `false`
  See Also:
    `LocaleConvertUtilsBean.getApplyLocalized()`

### setApplyLocalized

    public static void setApplyLocalized(boolean newApplyLocalized)

  Sets applyLocalized.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `newApplyLocalized` - `true` if pattern is localized, otherwise `false`
  See Also:
    `LocaleConvertUtilsBean.setApplyLocalized(boolean)`

### convert

    public static java.lang.String convert(java.lang.Object value)

  Convert the specified locale-sensitive value into a String.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `value` - The Value to be converted
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(Object)`

### convert

    public static java.lang.String convert(java.lang.Object value,
                                           java.lang.String pattern)

  Convert the specified locale-sensitive value into a String using the conversion pattern.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `value` - The Value to be converted
    `pattern` - The convertion pattern
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(Object, String)`

### convert

    public static java.lang.String convert(java.lang.Object value,
                                           java.util.Locale locale,
                                           java.lang.String pattern)

  Convert the specified locale-sensitive value into a String using the paticular convertion pattern.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `value` - The Value to be converted
    `locale` - The locale
    `pattern` - The convertion pattern
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(Object, Locale, String)`

### convert

    public static java.lang.Object convert(java.lang.String value,
                                           java.lang.Class clazz)

  Convert the specified value to an object of the specified class (if possible). Otherwise, return a String representation of the value.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `value` - The String scalar value to be converted
    `clazz` - The Data type to which this value should be converted.
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(String, Class)`

### convert

    public static java.lang.Object convert(java.lang.String value,
                                           java.lang.Class clazz,
                                           java.lang.String pattern)

  Convert the specified value to an object of the specified class (if possible) using the convertion pattern. Otherwise, return a String representation of the value.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `value` - The String scalar value to be converted
    `clazz` - The Data type to which this value should be converted.
    `pattern` - The convertion pattern
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(String, Class, String)`

### convert

    public static java.lang.Object convert(java.lang.String value,
                                           java.lang.Class clazz,
                                           java.util.Locale locale,
                                           java.lang.String pattern)

  Convert the specified value to an object of the specified class (if possible) using the convertion pattern. Otherwise, return a String representation of the value.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `value` - The String scalar value to be converted
    `clazz` - The Data type to which this value should be converted.
    `locale` - The locale
    `pattern` - The convertion pattern
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(String, Class, Locale, String)`

### convert

    public static java.lang.Object convert(java.lang.String[] values,
                                           java.lang.Class clazz,
                                           java.lang.String pattern)

  Convert an array of specified values to an array of objects of the specified class (if possible) using the convertion pattern.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `values` - Value to be converted (may be null)
    `clazz` - Java array or element class to be converted to
    `pattern` - The convertion pattern
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(String[], Class, String)`

### convert

    public static java.lang.Object convert(java.lang.String[] values,
                                           java.lang.Class clazz)

  Convert an array of specified values to an array of objects of the specified class (if possible).

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `values` - Value to be converted (may be null)
    `clazz` - Java array or element class to be converted to
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(String[], Class)`

### convert

    public static java.lang.Object convert(java.lang.String[] values,
                                           java.lang.Class clazz,
                                           java.util.Locale locale,
                                           java.lang.String pattern)

  Convert an array of specified values to an array of objects of the specified class (if possible) using the convertion pattern.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `values` - Value to be converted (may be null)
    `clazz` - Java array or element class to be converted to
    `locale` - The locale
    `pattern` - The convertion pattern
  Returns:
    the converted value
  See Also:
    `LocaleConvertUtilsBean.convert(String[], Class, Locale, String)`

### register

    public static void register(LocaleConverter converter,
                                java.lang.Class clazz,
                                java.util.Locale locale)

  Register a custom `LocaleConverter` for the specified destination `Class`, replacing any previously registered converter.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `converter` - The LocaleConverter to be registered
    `clazz` - The Destination class for conversions performed by this Converter
    `locale` - The locale
  See Also:
    `LocaleConvertUtilsBean.register(LocaleConverter, Class, Locale)`

### deregister

    public static void deregister()

  Remove any registered `LocaleConverter`.

  For more details see `LocaleConvertUtilsBean`

  See Also:
    `LocaleConvertUtilsBean.deregister()`

### deregister

    public static void deregister(java.util.Locale locale)

  Remove any registered `LocaleConverter` for the specified locale.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `locale` - The locale
  See Also:
    `LocaleConvertUtilsBean.deregister(Locale)`

### deregister

    public static void deregister(java.lang.Class clazz,
                                  java.util.Locale locale)

  Remove any registered `LocaleConverter` for the specified locale and Class.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `clazz` - Class for which to remove a registered Converter
    `locale` - The locale
  See Also:
    `LocaleConvertUtilsBean.deregister(Class, Locale)`

### lookup

    public static LocaleConverter lookup(java.lang.Class clazz,
                                         java.util.Locale locale)

  Look up and return any registered `LocaleConverter` for the specified destination class and locale; if there is no registered Converter, return `null`.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `clazz` - Class for which to return a registered Converter
    `locale` - The Locale
  Returns:
    The registered locale Converter, if any
  See Also:
    `LocaleConvertUtilsBean.lookup(Class, Locale)`

### lookup

    protected static org.apache.commons.collections.FastHashMap lookup(java.util.Locale locale)

  Deprecated. This method will be modified to return a Map in the next release.

  Look up and return any registered FastHashMap instance for the specified locale.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `locale` - The Locale
  Returns:
    The FastHashMap instance contains the all `LocaleConverter` types for the specified locale.
  See Also:
    `LocaleConvertUtilsBean.lookup(Locale)`

### create

    protected static org.apache.commons.collections.FastHashMap create(java.util.Locale locale)

  Deprecated. This method will be modified to return a Map in the next release.

  Create all `LocaleConverter` types for specified locale.

  For more details see `LocaleConvertUtilsBean`

  Parameters:
    `locale` - The Locale
  Returns:
    The FastHashMap instance contains the all `LocaleConverter` types for the specified locale.
  See Also:
    `LocaleConvertUtilsBean.create(Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.